
Katello - Bug #5642

Hammer Cli : Unable to create a content view using content-view create

05/08/2014 11:56 PM - dustin tsang

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://bugzilla.redhat.com/show_bug.cgi?id=1087247

[root@qetello01 ~]# hammer organization create --name s786

Organization created

[root@qetello01 ~]#  hammer organization info --name s786

Id:          327

Name:        s786

Created at:  2014/04/14 07:41:57

Updated at:  2014/04/14 07:41:58

Label:       s786

Description:

[root@qetello01 ~]# hammer content-view create --name cvq --organization-id 327

Could not create the content view:

Couldn't find organization '327'

[root@qetello01 ~]# hammer content-view create --name cvq

Could not create the content view:

Error: option '--organization-id' is required

See: 'hammer content-view create --help'

[root@qetello01 ~]# hammer content-view create --name cvq --organization-id s786

Content view created

History

#1 - 05/08/2014 11:57 PM - dustin tsang

"can create CV with organization label. But the help part is saying organization-id is required."

#2 - 05/08/2014 11:59 PM - dustin tsang

- Status changed from New to Closed

#3 - 05/27/2014 05:10 PM - Eric Helms

- Target version set to 44

#4 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
